<?php
  ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
  error_reporting(E_ALL);
  
  require("../../vendor/autoload.php");
  use Helper\MetadataGenerator\MetadataGenerator;
  use Helper\MetadataGenerator\StructuredData\ContactType;
  use Helper\MetadataGenerator\StructuredData\LocalBusiness\BusinessType;
  use Helper\MetadataGenerator\StructuredData\StockManagement;
  use DateTime;

  $meta = new MetadataGenerator();
  $data = [
    "title" => 'Informação - FamaTV',
    "themeColor" => "#72B946",
    "description" => 'A FamaTV é um projeto pioneiro na webtv nacional e assume agora uma nova imagem.',
    "keywords" => "Famalicão e assim",
    "author" => "Pedro Silva",
    "imageSrc" => "http://famatv.youoncontent.com/resources/img/metadata/metadata-famatv.png",
    "icon" => ["favicon" => "http://famatv.youoncontent.com/resources/img/favicon-famatv.png",
                "apple-touch-icon" => "http://famatv.youoncontent.com/resources/img/favicon-famatv.png" ],
    "charset" => "utf-8",
    "canonical" => "http://famatv.youoncontent.com/videos/informacao/pagina/2/",
    "prev" => "http://famatv.youoncontent.com/videos/informacao/",
    "next" => "http://famatv.youoncontent.com/videos/informacao/pagina/3/",
    "fbAdmins" => "181488158850210",
    "fbPageId" => "181488158850210",
    "type" =>  "article",
    "twCard" => "summary_large_image",
    "twCreator" => "@youongroup",
    "twSite" => "@youongroup",
    "imageObj" =>  [
      "url" => "http://famatv.youoncontent.com/resources/img/metadata/metadata-famatv.png",
      "secure_url" => "https://famatv.youoncontent.com/resources/img/metadata/metadata-famatv.png",
      "type" => "image/png",
      "width" => "800",
      "height" => "450",
      "alt" => "some random description"
    ],
    "videoObj" =>  [
      "url" => "http://vc.youongroup.com/player/flash/ynstg_plyr_v2.0.3.10.swf?sid=Tm1SbE5HTXhaaTFtWTJGak1Ua3dZemt3WmpKbFpqaG1Oell6WTE5bE9EVXhZek5rTlRCaVpUQXdPV1prTWpZeE1qY3lOMlkzTWpRME5qazROVjh3WHpGZk5GODBNUT09&amp;autoplay=1&amp;pColor=0x72b946&amp;tColor=&amp;gtwbtlb=OKAY&amp;vw=fb",
      "secure_url" => "https://vc.youongroup.com/player/flash/ynstg_plyr_v2.0.3.10.swf?sid=Tm1SbE5HTXhaaTFtWTJGak1Ua3dZemt3WmpKbFpqaG1Oell6WTE5bE9EVXhZek5rTlRCaVpUQXdPV1prTWpZeE1qY3lOMlkzTWpRME5qazROVjh3WHpGZk5GODBNUT09&amp;autoplay=1&amp;pColor=0x72b946&amp;tColor=&amp;gtwbtlb=OKAY&amp;vw=fb",
      "type" => "application/x-shockwave-flash",
      "width" => "480",
      "height" => "270",
      "duration" => "120",

      "views" => "1234",
      "thumbnail" => [
        "http://famatv.youoncontent.com/resources/img/metadata/metadata-famatv.png"
      ],
      "uploadDate" => (new DateTime())->format(DATE_ATOM),
      "contentUrl" => "",

    ],
    "audioObj" =>  [
      "url" => "http://abc.com",
      "secure_url"=> "https://bce.2",
      "type" => "audio/mpeg"
    ],
    "locale" => "pt",
    "l10n" => ["pt","en","es"],
    "siteName" => "FamaTv",
    "article" => [

      "authors" => [
        
         [
           "name" => "Jorge Mendes Menezes Magalhães",
           "facebook" => "http://facebook.com/1234",
           "website" =>  "http://www.t.pt"
         ],
         [
          "name" => "Samsung",
          "facebook" => "http://www.l.pt",
          "twitter" => "http://www.i.pt",
          "instagram" => "http://www.sapo.pt",
          "linkedin" => "http://www.i.pt",
          "website" =>  "http://www.t.pt"
         ],
         [
          "name" => "Samsung 2",
          "instagram" => "http://www.sapo.pt",
        ]
      ],
      "publisher" => "http://facebook.com/1234",
      "pubDate" => "2013-09-17T05:59:00+01:00",
      "modDate" => "2013-09-17T05:59:00+01:00",
      "dossier" => "Informação",
      "tags" => [
        "Seniores", "Fátima"
      ]
    ],
    "website" => [
      "name" => "FamaTv",
      "url" => "http://famatv.youoncontent.com/",
      "social" => [
        "https://www.facebook.com/famatv.famalicao/",
        "https://www.twitter.com/famatv.famalicao/",
        "https://www.instagram.com/famatv.famalicao/",
        "https://www.linkedin.com/famatv.famalicao/",
      ],
      "search" => true,
      "searchLink" => "http://famatv.youoncontent.com/pesquisa/",
      "searchQueryName" => "q"
    ],
    "organization" => [

      "name" => "FamaTv Inc",
      "url" => "http://famatv.youoncontent.com/",
      "social" => [
        "https://www.facebook.com/famatv.famalicao/",
        "https://www.twitter.com/famatv.famalicao/",
        "https://www.instagram.com/famatv.famalicao/",
        "https://www.linkedin.com/famatv.famalicao/",
      ],
      "logo" => "",
      "contacts" => [
        [
          "type" => ContactType::CostumerSupport,
          "phone" => "+351 252 123 456",
          "email" => "email@rroba.milho",
        ]
      ]
    ],
    "breadcrumbs" => [
      [
        "url" => "http://famatv.youoncontent.com/",
        "name" => "FamaTv",
        "image"=> "http://famatv.youoncontent.com/resources/img/favicon-famatv.png"
      ],
      [
        "url" => "http://famatv.youoncontent.com/level1",
        "name" => "level 1",
        "image"=> "http://famatv.youoncontent.com/resources/img/favicon-famatv.png"
      ],
      [
        "url" => "http://famatv.youoncontent.com/level1/level2",
        "name" => "level 2",
        "image"=> "http://famatv.youoncontent.com/resources/img/favicon-famatv.png"
      ],
      

    ],
    "localbusiness" => [
      "type" => BusinessType::Restaurant,
      "url" => "http://www.donamariapregaria.pt/",
      "image"=> [
        "http://www.donamariapregaria.pt/resources/img/metadata/metadata-pregaria-home-contactos.png"
      ],
      "priceRange" => "10€ - 20€",
      "description" => "De origem tradicional ... A Dona Maria Pregaria nasce em Famalicão com o objetivo de redefinir o conceito do Prego Português e do Hambúrguer Artesanal, com receitas diversificadas e originais que vão desde a mais tradicional à mais elaborada de gosto sofisticado.",
      "name" => "Dona maria Pregaria - Famalicão",
      "phone" => "+351252313623",
      "email" => "",
      "address" => [
        "streetAddress" => "Praça Dona Maria II 410",
        "city" => "Vila Nova de Famalicão",
        "region" => "braga",
        "zipcode" => "4760-111",
        "country" => "Portugal"
      ],
      "geo" => [
        "latitude" => "41.4046119",
        "longitude" => "-8.5185725"
      ],
      "social" => [
        "https://www.facebook.com/Donamariapregaria",
        "https://www.instagram.com/donamariapregaria"
      ],
      "cuisine" => "Hamburgers and Pregos",
      "map" => "https://www.google.com/maps/place/Dona+Maria+Pregaria/@41.4046985,-8.5203193,17z/data=!3m1!4b1!4m5!3m4!1s0xd2458f86a21ffad:0xfb02ac09b4d2c2ba!8m2!3d41.4046985!4d-8.5181306",
      "schedule" => [

        [
          "dayOfWeek" => "Monday",
          "opens" => "12:00",
          "closes"=> "15:00"
        ],
        [
          "dayOfWeek" => "Monday",
          "opens" => "18:00",
          "closes"=> "23:00"
        ],
        [
          "dayOfWeek" => "Tuesday",
          "opens" => "18:00",
          "closes"=> "23:00"
        ],
        [
          "dayOfWeek" => "Wednesday",
          "opens" => "18:00",
          "closes"=> "23:00"
        ],
        [
          "dayOfWeek" => "Thursday",
          "opens" => "18:00",
          "closes"=> "23:00"
        ],
        [
          "dayOfWeek" => "Friday",
          "opens" => "18:00",
          "closes"=> "23:00"
        ]
      ],
      "departments" => [
        [
          "name" => "Dona maria Pregaria - Porto",
          "phone" => "+351223271112",
          "email" => "",
          "address" => [
            "streetAddress" => "R. de Ceuta 63",
            "city" => "Porto",
            "region" => "Porto",
            "zipcode" => "4050-189 Porto",
            "country" => "Portugal"
          ],
          "geo" => [
            "latitude" => "41.1482368",
            "longitude" => "-8.6161672"
          ],
          "map" => "https://www.google.com/maps/place/Dona+Maria+Pregaria/@41.1482368,-8.6161672,17z/data=!4m13!1m7!3m6!1s0xd2464e2dad1dfa7:0xe96d49ce64b5db81!2sR.+de+Ceuta+63,+Porto,+Portugal!3b1!8m2!3d41.1482368!4d-8.6139785!3m4!1s0xd2464e2cff9163d:0xc043a589b1c26be1!8m2!3d41.1483025!4d-8.6140282"
        ]
        
      ],
      
    ],
    "events" => [
      [
        "eventName" => "Concerto Solidário",
        "startDate" => (new DateTime())->format(DATE_ATOM),
        "address" => [
          "streetAddress" => "R. de Ceuta 63",
          "city" => "Porto",
          "region" => "Porto",
          "zipcode" => "4050-189 Porto",
          "country" => "Portugal"
        ],
        "placeName" => "Dona Maria Pregaria",
        "image"=> [
          "http://www.donamariapregaria.pt/resources/img/metadata/metadata-pregaria-home-contactos.png"
        ],
        "description" => "Um concerto muito solidario",
        "endDate" => (new DateTime())->format(DATE_ATOM),      
        "performer" => "Zequinhas",
        "offers" => [
          [
            "url" => "http://www.donamariapregaria.pt/menu",
            "price" => "25",
            "currency" => "EUR",
            "availability" => StockManagement::SoldOut,
            "startDate" => (new DateTime('2017-01-01'))->format(DATE_ATOM),     
            "endDate" => (new DateTime())->format(DATE_ATOM),  
          ]
          
        ],
        "performerIsGroup" => false,
      ]
    ]
  ];
  define("DEBUG",true)
?>
<!DOCTYPE html5>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta http-equiv="CONTENT-TYPE" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="cache-control" content="no-cache,max-age=3600, must-revalidate,proxy-revalidate">
    <meta http-equiv="expires" content="0">
    <meta http-equiv="pragma" content="no-cache,max-age=3600, must-revalidate,proxy-revalidate">
    <meta http-equiv="CACHE-CONTROL" content="PUBLIC">

    <?php echo $meta->getGeneralMetadata($data,DEBUG); 

          echo $meta->getOpenGraphMetadata($data,DEBUG); 

          echo $meta->getGooglePlusMetadata($data,DEBUG); 

          echo $meta->getTwitterMetadata($data,DEBUG); 

          echo $meta->getStructuredData($data,DEBUG);
         
         /*echo $meta->getAllMetadata($data,DEBUG);*/
    ?>

</head>
<body>
</body>
</html>