<?php namespace Helper\MetadataGenerator\Metadata\Google;
    
    use Helper\MetadataGenerator\Metadata\Utils\Utils;

    class GooglePlusMetadata {
        public $title = "";

        public $imageSrc = "";

        public $description = "";


        public $prettyPrint = false;     
        
        public function __construct ($format = false){
            $this->prettyPrint = $format;
        }

        private function printName(){
            if($this->title != ""){
                $title = htmlentities($this->title,ENT_QUOTES,"UTF-8");
                return "<meta itemprop=\"name\" content=\"$title\">";
            }
            return "";
        }

        private function printDescription(){
            if($this->description != ""){
                $description = htmlentities($this->description,ENT_QUOTES,"UTF-8");
                return "<meta itemprop=\"description\" content=\"$description\">";
            }
            return "";
        }

        private function printImage(){
            if($this->imageSrc != ""){
                return "<meta itemprop=\"image\" content=\"$this->imageSrc\">";
            }
            return "";
        }


        public function toString(){
            return $this->printName(). ($this->prettyPrint ? "\n" : "").
                   $this->printDescription(). ($this->prettyPrint ? "\n" : "").
                   $this->printImage();
        }
    }