<?php namespace Helper\MetadataGenerator\Metadata\Twitter;


use Helper\MetadataGenerator\Metadata\Utils\Utils;

class TwitterMetadata {

    public $card = "summary_large_image"; //summary_large_image ,  summary , player
    public $site = "";
    public $title = "";
    public $description = "";
    public $creator = "";
    public $imageSrc = "";
    public $twImage = null;
    public $twVideo = null;




    public $prettyPrint = false;     
    
    public function __construct ($format = false){
        $this->prettyPrint = $format;
    }


    public function printCard(){
        return Utils::print_metaNC("twitter:card",$this->card);
    }
    public function printSite(){
        if( $this->site  != "" )
            return Utils::print_metaNC("twitter:site",$this->site);
        return "";
    }
    public function printTitle(){
        if( $this->title  != "" ){
            $title = htmlentities($this->title,ENT_QUOTES,"UTF-8");
            return Utils::print_metaNC("twitter:title",$title);
        }
        return "";
    }
    public function printDescription(){
        if( $this->description  != "" ){
            $description = htmlentities($this->description,ENT_QUOTES,"UTF-8");
            return Utils::print_metaNC("twitter:description",$description);
        }
        return "";
    }
    public function printCreator(){
        if( $this->creator  != "" )
            return Utils::print_metaNC("twitter:creator",$this->creator);
        return "";
    }
    /**
    * generate string for image
    *
    * @return string
    */
    private function printImage(){
        if($this->twImage == null){
            return $this->imageSrc != "" ? Utils::print_metaNC("twitter:image",$this->imageSrc)  : "";
        }else{
            //build twImageWithalloptions
            $image =  isset($this->twImage["url"]) ? Utils::print_metaNC("twitter:image",$this->twImage["url"]) : "";
            if($image != ""){
                $alt = isset($this->twImage["alt"]) ? Utils::print_metaNC("twitter:image:alt",$this->twImage["alt"]) : "";
                return $image.($this->prettyPrint ? "\n" : "").
                        $alt;
            }
            
            
        }
        return "";
        
    }
    public function toString(){
        return $this->printCard().($this->prettyPrint ? "\n" : "").
               $this->printSite().($this->prettyPrint ? "\n" : "").
               $this->printTitle().($this->prettyPrint ? "\n" : "").
               $this->printDescription().($this->prettyPrint ? "\n" : "").
               $this->printCreator().($this->prettyPrint ? "\n" : "").
               $this->printImage();
    }
}


/*
<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:site" content="@publisher_handle">
<meta name="twitter:title" content="Page Title">
<meta name="twitter:description" content="Page description less than 200 characters">
<meta name="twitter:creator" content="@author_handle">
<!-- Twitter summary card with large image must be at least 280x150px -->
<meta name="twitter:image:src" content="http://www.example.com/image.jpg">

*/