<?php namespace Helper\MetadataGenerator\StructuredData;



abstract class StockManagement {
    const  Discontinued = "http://schema.org/Discontinued";
    const  InStock= "http://schema.org/InStock";
    const  InStoreOnly= "http://schema.org/InStoreOnly";
    const  LimitedAvailability= "http://schema.org/LimitedAvailability";
    const  OnlineOnly= "http://schema.org/OnlineOnly";
    const  OutOfStock= "http://schema.org/OutOfStock";
    const  PreOrder= "http://schema.org/PreOrder";
    const  PreSale= "http://schema.org/PreSale";
    const  SoldOut= "http://schema.org/SoldOut";

    private static $constCacheArray = NULL;
    
    private static function getConstants() {
        if (self::$constCacheArray == NULL) {
            self::$constCacheArray = array();
        }
        $calledClass = get_called_class();
        if (!array_key_exists($calledClass, self::$constCacheArray)) {
            $reflect = new \ReflectionClass($calledClass);
            self::$constCacheArray[$calledClass] = $reflect->getConstants();
        }
        return self::$constCacheArray[$calledClass];
    }

    public static function isValidName($name, $strict = false) {
        $constants = self::getConstants();

        if ($strict) {
            return array_key_exists($name, $constants);
        }

        $keys = array_map('strtolower', array_keys($constants));
        return in_array(strtolower($name), $keys);
    }

    public static function isValidValue($value, $strict = true) {
        $values = array_values(self::getConstants());
        return in_array($value, $values, $strict);
    }
}