<?php namespace Helper\MetadataGenerator\StructuredData\LocalBusiness;

//https://developers.google.com/search/docs/data-types/local-businesses

abstract class BusinessType {
     const AnimalShelter = "AnimalShelter";
     const AutomotiveBusiness = "AutomotiveBusiness";
     const ChildCare = "ChildCare";
     const Dentist = "Dentist";
     const DryCleaningOrLaundry = "DryCleaningOrLaundry";
     const EmergencyService = "EmergencyService";
     const EmploymentAgency = "EmploymentAgency";
     const EntertainmentBusiness = "EntertainmentBusiness";
     const FinancialService = "FinancialService";
     const FoodEstablishment = "FoodEstablishment";
     const GovernmentOffice = "GovernmentOffice";
     const HealthAndBeautyBusiness = "HealthAndBeautyBusiness";
     const HomeAndConstructionBusiness = "HomeAndConstructionBusiness";
     const InternetCafe = "InternetCafe";
     const LegalService = "LegalService";
     const Library = "Library";
     const LodgingBusiness = "LodgingBusiness";
     const ProfessionalService = "ProfessionalService";
     const RadioStation = "RadioStation";
     const RealEstateAgent = "RealEstateAgent";
     const RecyclingCenter = "RecyclingCenter";
     const SelfStorage = "SelfStorage";
     const ShoppingCenter = "ShoppingCenter";
     const SportsActivityLocation = "SportsActivityLocation";
     const Store = "Store";
     const TelevisionStation = "TelevisionStation";
     const TouristInformationCenter = "TouristInformationCenter";
     const TravelAgency = "TravelAgency";
     const Bakery  = "Bakery";
     const BarOrPub  = "BarOrPub";
     const Brewery  = "Brewery";
     const CafeOrCoffeeShop  = "CafeOrCoffeeShop";
     const FastFoodRestaurant  = "FastFoodRestaurant";
     const IceCreamShop  = "IceCreamShop";
     const Restaurant  = "Restaurant";
     const Winery  = "Winery";
     const BeautySalon  = "BeautySalon";
     const DaySpa  = "DaySpa";
     const HairSalon  = "HairSalon";
     const HealthClub  = "HealthClub";
     const NailSalon  = "NailSalon";
     const TattooParlor  = "TattooParlor";
     const AutoPartsStore  = "AutoPartsStore";
     const BikeStore  = "BikeStore";
     const BookStore  = "BookStore";
     const ClothingStore  = "ClothingStore";
     const ComputerStore  = "ComputerStore";
     const ConvenienceStore  = "ConvenienceStore";
     const DepartmentStore  = "DepartmentStore";
     const ElectronicsStore  = "ElectronicsStore";
     const Florist  = "Florist";
     const FurnitureStore  = "FurnitureStore";
     const GardenStore  = "GardenStore";
     const GroceryStore  = "GroceryStore";
     const HardwareStore  = "HardwareStore";
     const HobbyShop  = "HobbyShop";
     const HomeGoodsStore  = "HomeGoodsStore";
     const JewelryStore  = "JewelryStore";
     const LiquorStore  = "LiquorStore";
     const MensClothingStore  = "MensClothingStore";
     const MobilePhoneStore  = "MobilePhoneStore";
     const MovieRentalStore  = "MovieRentalStore";
     const MusicStore  = "MusicStore";
     const OfficeEquipmentStore  = "OfficeEquipmentStore";
     const OutletStore  = "OutletStore";
     const PawnShop  = "PawnShop";
     const PetStore  = "PetStore";
     const ShoeStore  = "ShoeStore";
     const SportingGoodsStore  = "SportingGoodsStore";
     const TireShop  = "TireShop";
     const ToyStore  = "ToyStore";
     const WholesaleStore  = "WholesaleStore";

    private static $constCacheArray = NULL;
    
    private static function getConstants() {
        if (self::$constCacheArray == NULL) {
            self::$constCacheArray = array();
        }
        $calledClass = get_called_class();
        if (!array_key_exists($calledClass, self::$constCacheArray)) {
            $reflect = new \ReflectionClass($calledClass);
            self::$constCacheArray[$calledClass] = $reflect->getConstants();
        }
        return self::$constCacheArray[$calledClass];
    }

     static function isValidName($name, $strict = false) {
        $constants = self::getConstants();

        if ($strict) {
            return array_key_exists($name, $constants);
        }

        $keys = array_map('strtolower', array_keys($constants));
        return in_array(strtolower($name), $keys);
    }

     static function isValidValue($value, $strict = true) {
        $values = array_values(self::getConstants());
        return in_array($value, $values, $strict);
    }
}