<?php namespace Helper\MetadataGenerator\StructuredData\Website;

use Helper\MetadataGenerator\StructuredData\JsonLDGenerator;

class WebsiteJsonLD extends JsonLDGenerator{


    public $url = "";
    public $social = array();
    public $search = false;
    public $searchLink = "";
    public $searchQueryName = "q";
    public $siteName = "";
    public $image = "";

    public $formated = 0;

    public function __construct($format = false){
      parent::__construct();
      $this->type = "WebSite";
      $this->formated = $format ? 128 : 0;
    }

  
    public function toString(){
        $data = array();
        $data["@context"] = $this->context;
        $data["@type"]  = $this->type;
        $data["url"] = $this->url;
        if($this->image != "")
            $data["image"] = $this->image;
        if($this->search && $this->searchLink != ""){
            $data["potentialAction"] = array(
                "@type" => "SearchAction",
                "target" => $this->searchLink.'?'.$this->searchQueryName.'={search_term_string}',
                "query-input" => "required name=search_term_string"
            );
        }

        if(count($this->social) > 0){
            $data["sameAs"] = $this->social;
        }

        return json_encode($data,$this->formated);
    }
}